## pdp 0.0.1

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Functions
Version: 0.0.1
Date: 2016-09-01
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for creating partial dependence plots from
    various types machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/partial
BugReports: https://github.com/bgreenwell/partial/issues
Depends: R (>= 3.2.5)
Suggests: e1071, kernlab, nnet, party, partykit, randomForest, rpart,
        testthat, xgboost
Imports: grDevices, lattice, magrittr, mgcv, plyr, stats, viridis
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-02 00:36:22 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2016-09-02 12:19:13

## pdp 0.0.4

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.0.4
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for constructing partial dependence plots from
    various types of machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: C50, Cubist, e1071, kernlab, nnet, party, partykit,
        randomForest, rpart, testthat, xgboost
Imports: grDevices, lattice, magrittr, mgcv, plyr, stats, viridis
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-17 17:06:59 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2016-09-17 20:07:45

## pdp 0.1.0

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.1.0
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for constructing partial dependence plots from
    various types machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: C50, Cubist, e1071, earth, gbm, kernlab, nnet, party,
        partykit, rpart, testthat, xgboost
Imports: grDevices, lattice, magrittr, mgcv, plyr, randomForest, stats,
        viridis
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-06 18:47:37 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2016-10-06 21:42:20

## pdp 0.2.0

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.2.0
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for constructing partial dependence (i.e., 
    marginal effect) plots from various types machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: C50, caret, Cubist, e1071, earth, gbm, kernlab, nnet, party,
        partykit, randomForest, rpart, testthat, xgboost
Imports: grDevices, lattice, magrittr, mgcv, plyr, stats, viridis
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-12-03 15:45:43 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2016-12-03 18:12:09

## pdp 0.3.0

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.3.0
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for constructing partial dependence (i.e., 
  marginal effect) plots from various types machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: C50, caret, Cubist, e1071, earth, gbm, kernlab, nnet, party,
        partykit, randomForest, rpart, testthat, xgboost (>= 0.6-0)
Imports: grDevices, gridExtra, lattice, magrittr, mgcv, plyr, stats,
        viridis
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-12-17 16:17:56 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2016-12-19 00:01:40

## pdp 0.4.0

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.4.0
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for constructing partial dependence (i.e., 
  marginal effect) plots from various types machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: adabag, C50, caret, Cubist, e1071, earth, gbm, ipred,
        kernlab, nnet, party, partykit, randomForest, ranger, rpart,
        testthat, xgboost (>= 0.6-0)
Imports: grDevices, gridExtra, lattice, magrittr, mgcv, plyr, stats,
        viridis
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-01-07 01:56:40 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2017-01-07 10:20:48

## pdp 0.5.2

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.5.2
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for constructing partial dependence (i.e., 
  marginal effect) plots from various types machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: adabag, C50, caret, Cubist, e1071, earth, gbm, ipred,
        kernlab, MASS, mda, nnet, party, partykit, randomForest,
        ranger, rpart, testthat, xgboost (>= 0.6-0)
Imports: boot, dplyr, ggplot2 (>= 0.9.0), grDevices, gridExtra,
        lattice, magrittr, methods, mgcv, plyr, Rcpp (>= 0.11.5),
        stats, viridis, utils
LazyData: TRUE
RoxygenNote: 6.0.1
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2017-03-12 18:09:49 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2017-03-13 06:52:56

## pdp 0.6.0

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.6.0
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"))
Description: A general framework for constructing partial dependence (i.e., 
  marginal effect) plots from various types machine learning models in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: adabag, C50, caret, Cubist, e1071, earth, gbm, ipred,
        kernlab, MASS, mda, nnet, party, partykit, randomForest,
        ranger, rpart, testthat, xgboost (>= 0.6-0)
Imports: ggplot2 (>= 0.9.0), grDevices, gridExtra, lattice, magrittr,
        methods, mgcv, plyr, stats, viridis, utils
LazyData: TRUE
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-07-20 01:02:17 UTC; w108bmg
Author: Brandon Greenwell [aut, cre]
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2017-07-20 03:09:43 UTC

## pdp 0.7.0

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.7.0
Authors@R: person("Brandon", "Greenwell", email = "greenwell.brandon@gmail.com",
  role = c("aut", "cre"), comment = c(ORCID = "0000-0002-8120-0084"))
Description: A general framework for constructing partial dependence (i.e., 
  marginal effect) plots from various types machine learning models in R.
License: GPL (>= 2)
URL: https://bgreenwell.github.io/pdp/index.html,
        https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.2.5)
Suggests: adabag, AmesHousing, C50, caret, Cubist, doParallel, dplyr,
        e1071, earth, gbm, ipred, keras, kernlab, MASS, mda, nnet,
        party, partykit, progress, randomForest, ranger, rpart,
        testthat, xgboost (>= 0.6-0), knitr, rmarkdown, vip
Imports: ggplot2 (>= 0.9.0), grDevices, gridExtra, lattice, magrittr,
        methods, mgcv, plyr, stats, viridis, utils
LazyData: TRUE
RoxygenNote: 6.1.0
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2018-08-27 17:20:57 UTC; b780620
Author: Brandon Greenwell [aut, cre] (<https://orcid.org/0000-0002-8120-0084>)
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2018-08-27 17:50:03 UTC

## pdp 0.8.0

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.8.0
Authors@R: person(c("Brandon", "M."), family = "Greenwell", 
    email = "greenwell.brandon@gmail.com", role = c("aut", "cre"), 
    comment = c(ORCID = "0000-0002-8120-0084"))
Description: A general framework for constructing partial dependence (i.e.,
        marginal effect) plots from various types machine learning models
        in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp,
        http://bgreenwell.github.io/pdp/
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.6.0)
Suggests: adabag, AmesHousing, C50, caret, covr, Cubist, doParallel,
        dplyr, e1071, earth, gbm, gridExtra, ICEbox, ipred, keras,
        kernlab, magrittr, MASS, Matrix, mda, mlbench, nnet, party,
        partykit, randomForest, ranger, reticulate, rpart, tinytest,
        xgboost (>= 0.6-0), knitr, rmarkdown, vip
Imports: foreach, ggplot2 (>= 3.0.0), grDevices, lattice, methods,
        rlang (>= 0.3.0), stats, utils
LazyData: TRUE
RoxygenNote: 7.1.2
Encoding: UTF-8
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2022-05-11 14:16:57 UTC; bgreenwell
Author: Brandon M. Greenwell [aut, cre]
    (<https://orcid.org/0000-0002-8120-0084>)
Maintainer: Brandon M. Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2022-05-11 23:20:06 UTC

## pdp 0.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pdp
 Type: Package
 Title: Partial Dependence Plots
-Version: 0.8.0
+Version: 0.8.1
 Authors@R: person(c("Brandon", "M."), family = "Greenwell", 
     email = "greenwell.brandon@gmail.com", role = c("aut", "cre"), 
     comment = c(ORCID = "0000-0002-8120-0084"))
@@ -25,9 +25,9 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-05-11 14:16:57 UTC; bgreenwell
+Packaged: 2022-06-07 16:30:46 UTC; bgreenwell
 Author: Brandon M. Greenwell [aut, cre]
     (<https://orcid.org/0000-0002-8120-0084>)
 Maintainer: Brandon M. Greenwell <greenwell.brandon@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-05-11 23:20:06 UTC
+Date/Publication: 2022-06-07 20:40:05 UTC

## pdp 0.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pdp
 Type: Package
 Title: Partial Dependence Plots
-Version: 0.8.1
+Version: 0.8.2
 Authors@R: person(c("Brandon", "M."), family = "Greenwell", 
     email = "greenwell.brandon@gmail.com", role = c("aut", "cre"), 
     comment = c(ORCID = "0000-0002-8120-0084"))
@@ -21,13 +21,13 @@
 Imports: foreach, ggplot2 (>= 3.0.0), grDevices, lattice, methods,
         rlang (>= 0.3.0), stats, utils
 LazyData: TRUE
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-06-07 16:30:46 UTC; bgreenwell
+Packaged: 2024-10-28 17:22:10 UTC; bgreenwell
 Author: Brandon M. Greenwell [aut, cre]
     (<https://orcid.org/0000-0002-8120-0084>)
 Maintainer: Brandon M. Greenwell <greenwell.brandon@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-06-07 20:40:05 UTC
+Date/Publication: 2024-10-28 17:50:02 UTC

## pdp 0.8.3

=== DESCRIPTION ===
Package: pdp
Type: Package
Title: Partial Dependence Plots
Version: 0.8.3
Authors@R: person(c("Brandon", "M."), family = "Greenwell", 
    email = "greenwell.brandon@gmail.com", role = c("aut", "cre"), 
    comment = c(ORCID = "0000-0002-8120-0084"))
Description: A general framework for constructing partial dependence (i.e.,
        marginal effect) plots from various types machine learning models
        in R.
License: GPL (>= 2)
URL: https://github.com/bgreenwell/pdp
BugReports: https://github.com/bgreenwell/pdp/issues
Depends: R (>= 3.6.0)
Suggests: adabag, AmesHousing, C50, caret, covr, Cubist, doParallel,
        dplyr, e1071, earth, gbm, gridExtra, ICEbox, ipred, keras,
        kernlab, magrittr, MASS, Matrix, mda, mlbench, nnet, party,
        partykit, randomForest, ranger, reticulate, rpart, tinytest,
        xgboost (>= 3.1.3.1), knitr, rmarkdown, vip
Imports: foreach, ggplot2 (>= 3.4.0), grDevices, lattice, methods,
        rlang (>= 0.3.0), stats, utils
LazyData: TRUE
RoxygenNote: 7.3.2
Encoding: UTF-8
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2026-01-23 02:49:14 UTC; greenwbm
Author: Brandon M. Greenwell [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-8120-0084>)
Maintainer: Brandon M. Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2026-01-23 06:40:26 UTC

## pdp 0.12.3

=== Makefile ===
include Makefile.config


all: $(PDP_TARGET)

pdp_all:
	make -C system
	make -C puredata
	make -C modules

darwin:	pdp_all
	rm -f pdp.pd_darwin
	$(CC)  -o pdp.pd_darwin modules/*/*.o system/pdp.o system/*/*.o puredata/*.o $(PDP_LIBS) -bundle -undefined  error  -twolevel_namespace -bundle_loader $(PD_EXECUTABLE) 


linux: pdp_all
	rm -f pdp.pd_linux
	$(CC) -export_dynamic -shared -o pdp.pd_linux modules/*/*.o system/pdp.o system/*/*.o puredata/*.o $(PDP_LIBS)

linux_mmx: pdp_all
	rm -f pdp.pd_linux
	$(CC) -export_dynamic -shared -o pdp.pd_linux modules/*/*.o system/pdp.o system/*/*.o puredata/*.o $(PDP_LIBS)

buildclean:
	make -C include clean
	make -C system clean
	make -C puredata clean
	make -C modules clean

clean: buildclean
	rm -f pdp.pd_linux
	rm -f *~

distroclean: buildclean
	make -C scaf clean
	make -C opengl clean

mrproper: clean distroclean
	make -C scaf mrproper
	rm -rf configure
	rm -rf config.log
	rm -rf config.status
	rm -rf autom4te.cache
	#this needs to stay in to keep the makefiles working
	#rm -rf Makefile.config

tags:
	etags --language=auto include/*.h system/*.c system/mmx/*.s system/*/*.c puredata/*.c \
	modules/*/*.c scaf/*/*.c scaf/*/*.s opengl/*/*.c

tagsclean:
	rm -f TAGS


install: all
	#check if pd is installed. if this fails make install will stop here.
	test -d $(prefix)/lib/pd
	install -m 755 $(PDP_LIBRARY_NAME) $(prefix)/lib/pd/externs
	install -m 755 -d $(prefix)/include/pdp
	install -m 644 include/*.h $(prefix)/include/pdp
	install -m 644 abstractions/*.pd $(prefix)/lib/pd/externs
	install -m 644 doc/objects/*.pd $(prefix)/lib/pd/doc/5.reference
	install -m 755 -d $(prefix)/lib/pd/doc/pdp
	install -m 755 -d $(prefix)/lib/pd/doc/pdp/introduction
	install -m 755 -d $(prefix)/lib/pd/doc/pdp/examples
	install -m 644 doc/reference.txt $(prefix)/lib/pd/doc/pdp
	install -m 644 doc/introduction/*.pd $(prefix)/lib/pd/doc/pdp/introduction
	install -m 644 doc/examples/*.pd $(prefix)/lib/pd/doc/pdp/examples
	install -m 755 bin/pdp-config $(prefix)/bin

## pdp 0.12.4

=== Makefile ===
--- 
+++ 
@@ -55,10 +55,11 @@
 install: all
 	#check if pd is installed. if this fails make install will stop here.
 	test -d $(prefix)/lib/pd
-	install -m 755 $(PDP_LIBRARY_NAME) $(prefix)/lib/pd/externs
+	install -d $(prefix)/lib/pd/extra
+	install -m 755 $(PDP_LIBRARY_NAME) $(prefix)/lib/pd/extra
 	install -m 755 -d $(prefix)/include/pdp
 	install -m 644 include/*.h $(prefix)/include/pdp
-	install -m 644 abstractions/*.pd $(prefix)/lib/pd/externs
+	install -m 644 abstractions/*.pd $(prefix)/lib/pd/extra
 	install -m 644 doc/objects/*.pd $(prefix)/lib/pd/doc/5.reference
 	install -m 755 -d $(prefix)/lib/pd/doc/pdp
 	install -m 755 -d $(prefix)/lib/pd/doc/pdp/introduction

=== opengl/Makefile ===
include Makefile.config

all:	$(TARGET)

linux:	pdp_opengl.pd_linux

darwin:	pdp_opengl.pd_darwin

subdirs:
	make -C system
	make -C modules
	make -C include

clean:
	make -C system clean
	make -C modules clean
	make -C include clean
	rm -f pdp_opengl.pd_linux
	rm -f *~

pdp_opengl.pd_linux: subdirs
	rm -f pdp_opengl.pd_linux
	$(CC) -export_dynamic -shared -o pdp_opengl.pd_linux modules/*.o system/*.o $(LDFLAGS) -g

pdp_opengl.pd_darwin: subdirs
	rm -f pdp_opengl.pd_linux
	$(CC) -o pdp_opengl.pd_pd_darwin modules/*.o system/*.o $(LDFLAGS) -g -bundle -bundle_loader $(PD_EXECUTABLE)

=== scaf/Makefile ===
include Makefile.config

all: pdp_scaf.pd_linux

pdp_scaf_all:
	make -C include
	make -C compiler
	make -C rules
	make -C pdp

clean:
	rm -f *~
	rm -f pdp_scaf.pd_linux
	make -C include clean
	make -C compiler clean
	make -C rules clean
	make -C pdp clean

mrproper: clean
	rm -rf configure
	rm -rf config.status
	rm -rf config.log
	rm -rf autom4te.cache
	#this needs to stay in
	#rm -rf Makefile.config

pdp_scaf.pd_linux: pdp_scaf_all
	rm -f pdp_scaf.pd_linux
	gcc -export_dynamic -shared -o pdp_scaf.pd_linux pdp/*.o $(PDP_CA_LIBS)

install: all
	install -d $(prefix)/lib/scaf
	install -m 755 compiler/scafc $(prefix)/bin || echo failed
	install -m 755 compiler/scafc.pl $(prefix)/lib/scaf || echo failed
	install -m 644 compiler/kernel.scaf $(prefix)/lib/scaf || echo failed
	install -m 644 compiler/scafmacro.s $(prefix)/lib/scaf || echo failed
	install -m 644 compiler/optim.rules $(prefix)/lib/scaf || echo failed
	install -m 755 rules/carules.scafo $(prefix)/lib/scaf/default.scafo || echo failed
	#Check if pd is installed in $(prefix)/lib/pd. 
	#If this fails the pdp_scaf lib and the docs won't be installed. 
	test -d $(prefix)/lib/pd
	install -m 755 pdp_scaf.pd_linux $(prefix)/lib/pd/externs
	install -m 644 doc/*.pd $(prefix)/lib/pd/doc/5.reference

=== system/Makefile ===

include ../Makefile.config

all: $(PDP_TARGET) pdp.o

common:
	make -C net
	make -C X11
	make -C png
	make -C type
	make -C kernel
	make -C image $(PDP_TARGET)

linux_mmx: common
	make -C mmx

linux: common

darwin: common

clean:
	rm -f *~
	rm -f *.o
	make -C mmx clean
	make -C net clean
	make -C X11 clean
	make -C png clean
	make -C image clean
	make -C type clean
	make -C kernel clean

=== modules/generic/Makefile ===
current: all_modules

include ../../Makefile.config

PDP_MOD = pdp_reg.o pdp_del.o pdp_snap.o pdp_trigger.o \
	pdp_route.o pdp_inspect.o pdp_loop.o pdp_description.o pdp_convert.o \
	pdp_udp_send.o pdp_udp_receive.o pdp_rawin.o pdp_rawout.o

# build generic modules
all_modules: $(PDP_MOD)

clean:
	rm -f *~
	rm -f *.o

=== scaf/rules/Makefile ===
OBJ = carules.scafo

.SUFFIXES: .scaf
.SUFFIXES: .scafo

.scaf.scafo:
	../compiler/scafc $*.scaf

all:	$(OBJ)

clean:
	rm -f *.scafo
	rm -f *.s
	rm -f *~

=== system/mmx/Makefile ===
include ../../Makefile.config

OBJ = \
pixel_pack_s16u8.o \
pixel_unpack_u8s16.o \
pixel_add_s16.o \
pixel_mul_s16.o \
pixel_mix_s16.o \
pixel_randmix_s16.o \
pixel_conv_hor_s16.o \
pixel_conv_ver_s16.o \
pixel_biquad_s16.o \
pixel_ca_s1.o \
pixel_rand_s16.o \
pixel_crot_s16.o \
pixel_gain_s16.o \
pixel_resample_s16.o \
pixel_cheby_s16.o

all:	$(OBJ)

test:	pdp_mmx_test.o $(OBJ)
	gcc -o pdp_mmx_test pdp_mmx_test.o $(OBJ) -g

clean:
	rm -f *.o
	rm -f *~
	rm -f pdp_mmx.a
	rm -f pdp_mmx_test

## pdp 0.12.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,18 @@
 include Makefile.config
+
+# hc ?
+#ifeq ($(OS_NAME),darwin)
+#all: darwin
+#else
+#all: linux
+#endif
 
 
 all: $(PDP_TARGET)
+
+everything: all
+	make -C opengl
+	make -C scaf
 
 pdp_all:
 	make -C system
@@ -10,7 +21,7 @@
 
 darwin:	pdp_all
 	rm -f pdp.pd_darwin
-	$(CC)  -o pdp.pd_darwin modules/*/*.o system/pdp.o system/*/*.o puredata/*.o $(PDP_LIBS) -bundle -undefined  error  -twolevel_namespace -bundle_loader $(PD_EXECUTABLE) 
+	$(CC)  -o pdp.pd_darwin modules/*/*.o system/pdp.o system/*/*.o puredata/*.o $(PDP_LIBS) -bundle -undefined  dynamic_lookup  -twolevel_namespace -bundle_loader $(PD_EXECUTABLE) 
 
 
 linux: pdp_all
@@ -27,9 +38,11 @@
 	make -C puredata clean
 	make -C modules clean
 
-clean: buildclean
+backupclean:
+	rm -f *~ */*~ */*/*~
+
+clean: buildclean backupclean
 	rm -f pdp.pd_linux
-	rm -f *~
 
 distroclean: buildclean
 	make -C scaf clean
@@ -68,3 +81,7 @@
 	install -m 644 doc/introduction/*.pd $(prefix)/lib/pd/doc/pdp/introduction
 	install -m 644 doc/examples/*.pd $(prefix)/lib/pd/doc/pdp/examples
 	install -m 755 bin/pdp-config $(prefix)/bin
+
+dist:
+	bin/snapshot `bin/release-version`
+	echo bump PDP_VERSION in configure.ac!

=== opengl/Makefile ===
--- 
+++ 
@@ -24,4 +24,21 @@
 
 pdp_opengl.pd_darwin: subdirs
 	rm -f pdp_opengl.pd_linux
-	$(CC) -o pdp_opengl.pd_pd_darwin modules/*.o system/*.o $(LDFLAGS) -g -bundle -bundle_loader $(PD_EXECUTABLE)
+	$(CC) -o pdp_opengl.pd_pd_darwin ../modules/*/*.o ../system/pdp.o ../system/*/*.o ../puredata/*.o modules/*.o system/*.o $(PDP_LIBS) -bundle -undefined dynamic_lookup -bundle_loader $(PD_EXECUTABLE)
+
+
+# $(CC) -o pdp_opengl.pd_pd_darwin modules/*.o system/*.o $(LDFLAGS) -g -dynamic -bundle -flat_namespace -undefined suppress
+# $(CC) -o pdp_opengl.pd_pd_darwin modules/*.o system/*.o $(LDFLAGS) -g -bundle -bundle_loader $(PD_EXECUTABLE)
+
+install: all
+	test -d $(prefix)/lib/pd 	#check if pd is installed. if this fails make install will stop here.
+	install -d $(prefix)/lib/pd/extra
+	install -m 755 $(PDP_OPENGL_LIBRARY_NAME) $(prefix)/lib/pd/extra
+	install -m 644 abstractions/*.pd $(prefix)/lib/pd/extra
+	install -m 644 doc/objects/*.pd $(prefix)/lib/pd/doc/5.reference
+	install -m 755 -d $(prefix)/lib/pd/doc/pdp
+	install -m 755 -d $(prefix)/lib/pd/doc/pdp/introduction
+	install -m 755 -d $(prefix)/lib/pd/doc/pdp/examples_opengl
+	install -m 644 doc/reference_opengl.txt $(prefix)/lib/pd/doc/pdp
+	install -m 644 doc/examples/*.pd $(prefix)/lib/pd/doc/pdp/examples_opengl
+

=== scaf/Makefile ===
--- 
+++ 
@@ -39,5 +39,5 @@
 	#Check if pd is installed in $(prefix)/lib/pd. 
 	#If this fails the pdp_scaf lib and the docs won't be installed. 
 	test -d $(prefix)/lib/pd
-	install -m 755 pdp_scaf.pd_linux $(prefix)/lib/pd/externs
+	install -m 755 pdp_scaf.pd_linux $(prefix)/lib/pd/extra
 	install -m 644 doc/*.pd $(prefix)/lib/pd/doc/5.reference

=== debian/changelog ===
pdp (1:0.12.5-2) unstable; urgency=low

  * Switch to 3.0 (quilt) format
  * Bumped standards-version to 3.9.3
  * Enabled hardening builds
    - Use debhelper compat >=9
    - Added patch to fix build-errors
  * debian/control
    - Cosmetic fixes (indentation)
    - Removed Build-dependency on quilt
    - Build-Depend on debhelper>=9
    - Build-Depend on libpng-dev rather than on libpng12-dev
    - Build-Depend on puredata-dev|puredata
    - Depend on puredata-core|pd (Closes: #652384)
  * debian/patches
    - Refreshed patches so they apply cleanly
    - Added quilt patch descriptions
    - New patch that fixes spelling mistakes
  * Added myself to Uploaders

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 15 Jun 2012 19:15:21 +0200

pdp (1:0.12.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against new libquicktime (Closes: #632241)
  * Add missing build-dep puredata-dev (Closes: #627903)
  * Patch the makefiles to use -rdynamic since -export_dynamic doesn't exist

 -- Paul Wise <pabs@debian.org>  Sun, 28 Aug 2011 14:51:14 +0100

pdp (1:0.12.5-1) unstable; urgency=low

  * Adopt package (closes: #521506)
  * New upstream release
  * debian/rules: switch to debhelper and quilt
  * debian/control: add Build-Depends on quilt
  * debian/patches/00_add3dp.patch: partly merged upstream
  * debian/patches/01_fix_gcc4.patch: merged upstream
  * debian/patches/02_assembler_fix.patch: merged upstream
  * debian/patches/04_quicktime_fix.patch: merged upstream
  * debian/patches/01_destdir.patch: add DESTDIR to install target
  * debian/menu: drop menu entry
  * debian/README.source: add note about quilt
  * debian/dirs: do not ship empty externs
  * debian/patches/06_add_v4l2.patch: add v4l2 from PiDiP
  * debian/control: add quilt, drop cdbs
  * debian/pdp-config.sgml: converted to docbook format

 -- Paul Brossier <piem@debian.org>  Thu, 10 Dec 2009 10:20:53 +0100

pdp (1:0.12.4-5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs. (Closes: #394103).
  * 05_kfreebsd.patch - Build on GNU/kFreeBSD. (Closes: #416258).
    + Thanks to Cyril Brulebois.
  * Replace libglut3-dev with freeglut3-dev. (Closes: #543700, #394499).
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 26 Aug 2009 14:17:10 -0400

pdp (1:0.12.4-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * 04_quicktime_fix.patch: new, fixes FTBFS (Closes: #392179)
      + change path to QuickTime includes from "quicktime/" to "lqt/" in
        modules/image_io/pdp_qt.c.
      + thanks Andreas Jochens for his patch.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 19 Oct 2006 16:13:55 +0200

pdp (1:0.12.4-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Compile with -Wno-error to avoid FTBFS with gcc-4.1 (Closes: #356169).
    + some bits where left (opengl stuff) because it uses Makefile.config to
      define CFLAGS. add 03_force_Wno-error.patch to change them.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 11 Jun 2006 01:18:03 +0200

pdp (1:0.12.4-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Compile with -Wno-error to avoid FTBFS with gcc-4.1 (Closes: #356169).
  * Bump Standards-Version to 3.7.2 (No changes required).
  * Fix debian/menu.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 10 Jun 2006 13:18:11 +0200

pdp (1:0.12.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #347034).
  * Credit and Big Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>
    for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 20:41:30 +0100

pdp (1:0.12.4-4) unstable; urgency=low

  * Recompilation because of libquicktime name change (Closes: #334495)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 19 Oct 2005 10:47:29 +0200

pdp (1:0.12.4-3) unstable; urgency=low

  * Updated description
  * added menu entry and icon
  * Fixed gcc4.0 problems (closes: #2879079)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 16 Aug 2005 13:06:03 +0200

pdp (1:0.12.4-2) unstable; urgency=low

  * fixed the hardcoded depends
  * added 3dp library

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 15 Mar 2005 22:21:05 +0100

pdp (1:0.12.4-1) unstable; urgency=low

  * New upstream version
  * Moved to cdbs
  * enabled mmx for i368 platforms

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  2 Mar 2005 23:08:06 +0100

pdp (1:0.12.3-2) unstable; urgency=low

  * Added build dependecy on libxv-dev

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  4 Oct 2004 18:47:12 +0200

pdp (1:0.12.3-1) unstable; urgency=low

  * New Upstream Version
  * Added -fPIC to CFLAGS
  * Removed example files in debian dir
  * readded installation of doc files
  * added puredata build dependency
  * added libgls build dependency

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 25 Jun 2004 16:36:18 +0200

pdp (1:0.12.2-5) unstable; urgency=low

  * Changing package name

 -- Pablo Martn <caedes@sindominio.net>  Wed, 13 Aug 2003 12:00:25 +0200

pdp (0.12.2-4) unstable; urgency=low

  * Fixing some errors in the package

 -- Pablo Martn <caedes@sindominio.net>  Thu, 31 Jul 2003 14:50:40 +0200

pdp (0.12.2-3) unstable; urgency=low

  * Recompile to keep up with debian

 -- Pablo Martn <caedes@sindominio.net>  Wed, 23 Jul 2003 20:20:08 +0200

pdp (0.12.2-2) unstable; urgency=low

  * Trying to get dependencies better

 -- Pablo Martn <caedes@sindominio.net>  Wed, 23 Jul 2003 11:20:36 +0200

pdp (0.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Pablo Martn <caedes@sindominio.net>  Tue, 22 Jul 2003 10:22:23 +0200

pdp (0.12.1-2) unstable; urgency=low

  * New release to fix proxy hell.

 -- Pablo Martn <caedes@sindominio.net>  Wed, 16 Jul 2003 02:27:23 +0200



=== debian/control ===
Source: pdp
Section: graphics
Priority: extra
Maintainer: Paul Brossier <piem@debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 9),
 docbook-to-man,
 puredata-dev | puredata (>= 0.38),
 libquicktime-dev,
 libsdl1.2-dev,
 libpng-dev,
 libgsl0-dev,
 libxv-dev,
 freeglut3-dev
Standards-Version: 3.9.3
Homepage: http://zwizwa.be/pdp/

Package: pd-pdp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd
Description: Graphics system for Pd
 PDP is an extension library for Pd that allows you to manipulate movies 
 and live video data in realtime. PDP stands for Pd Packet, the data 
 container that is used for images in PDP.

=== debian/rules ===
#!/usr/bin/make -f

export PDP_EXTRA_CFLAGS = -fPIC -Wno-error $(CPPFLAGS) $(CFLAGS)

ifeq ($(DEB_BUILD_ARCH),i386)
DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	dh build --before dh_auto_build
	make pdp_all
	make -C opengl LDFLAGS="$(LDFLAGS)"
	docbook-to-man debian/pdp-config.sgml > pdp-config.1
	dh build --after dh_auto_build

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	[ ! -f opengl/Makefile.config ] || make -C opengl clean
	[ ! -f Makefile.config ] || make clean
	-$(RM) -rf bin/pdp-config include/pdp_config.h
	-$(RM) -f Makefile.config config.log config.status
	-$(RM) -f pdp-config.1
	dh clean --after dh_auto_clean

## pdp 0.14.1

=== modules/Makefile ===
# build subdirs
current:
	make -C generic
	make -C image_basic
	make -C image_io
	make -C image_special
	make -C matrix_basic
	make -C test


clean:
	make -C generic clean
	make -C image_basic clean
	make -C image_io clean
	make -C image_special clean
	make -C matrix_basic clean
	make -C test clean
	rm -f *~
	rm -f *.o

=== scaf/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 pdp_scaf.pd_linux: pdp_scaf_all
 	rm -f pdp_scaf.pd_linux
-	gcc -export_dynamic -shared -o pdp_scaf.pd_linux pdp/*.o $(PDP_CA_LIBS)
+	gcc -rdynamic -shared -o pdp_scaf.pd_linux pdp/*.o $(PDP_CA_LIBS)
 
 install: all
 	install -d $(prefix)/lib/scaf

=== system/Makefile ===

include ../Makefile.config

all: $(PDP_TARGET) pdp.o

common:
	make -C net
	make -C png
	make -C type
	make -C kernel
	make -C image $(PDP_TARGET)
	make -C zl

linux_mmx: common
	make -C mmx

linux_gcc_mmx: common

linux: common

darwin: common

clean:
	rm -f *~
	rm -f *.o
	make -C mmx clean
	make -C net clean
	make -C png clean
	make -C image clean
	make -C type clean
	make -C kernel clean
	make -C zl clean

=== debian/changelog ===
pdp (1:0.14.1-5) unstable; urgency=medium

  * Fix search-path-adding in a more compatible way
    (Closes: #872905)
  * More spelling fixes
  * Dropped numbers from patch names
  * Dropped empty lines from patches
  * Modernized Vcs-Browser stanza
  * Bumped standards to 4.1.0
    * Set package priority to "optional"
  * Bumped dh compat to 10

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Aug 2017 12:22:30 +0200

pdp (1:0.14.1-4) unstable; urgency=medium

  * debian/patches/searchpath_check.patch: update for puredata 0.48.0-1
    (closes: #872675)
  * debian/control: bump to 4.0.0
  * debian/control: update Vcs-Git

 -- Paul Brossier <piem@debian.org>  Sun, 20 Aug 2017 16:06:50 +0200

pdp (1:0.14.1-3) unstable; urgency=medium

  * Switch B-D to unversioned libgsl-dev
  * Depend on "puredata" rather than "puredata-core"
  * Drop sub-packages' dependency on pd (satisfied by pd-pdp)
  * Removed obsolete dh after/before
  * Update Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Nov 2015 22:55:41 +0100

pdp (1:0.14.1-2) unstable; urgency=medium

  * Un-nest functions (Closes: #758569)
    * Made un-nested functions thread-safe.
  * Added missing #includes for function declarations.
  * Changed my uploader's name

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Sep 2014 14:39:48 +0200

pdp (1:0.14.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.14.1

  * Added pdp_opengl
    - openGL-support has been re-added upstream
    - Available via "pd-3dp" package
  * Added scaf
    - Available via "pd-scaf" package
    - Added manpage for the scaf-compiler "scafc"
    - Added lintian override for non-hardended scafo files
  * debian/patches
    - Updated patches to new upstream
    - Single patch removing zealous installation-check for Pd
    - Added DESTDIR support
    - Ensured availability of /usr/bin
    - Fixed syntax-errors in scaf/configure.ac
  * Added hardening flags
  * Bumped Standards-Version to 3.9.5

  [ Paul Brossier ]
  * pd-scaf: build only on platform supporting mmx
  * debian/patches/nohardcoded_mmx.patch: remove hardcoded -mmmx
  * debian/rules: add -mmmx to CFLAGS where need be

 -- Paul Brossier <piem@debian.org>  Sun, 29 Dec 2013 13:44:43 -0400

pdp (1:0.14.0-1) unstable; urgency=low

  New upstream release (Closes: #398013, LP: #136216)

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.14.0
  * Updated debian/patches/
   * Removed patches applied upstream
   * Refreshed other patches
   * Fixed hardening for pdp_opengl
  * Removed pdp_opengl/3dp
   * not ported upstream
  * Native V4L2-support on linux-architectures
    * Build-depend on libv4l-dev
  * GNU/kFreeBSD fixes (Closes: #627904)
    * Don't include <linux/types.h> on non-linux platforms
  * Enable MMX on amd64
  * Proper libdir installation
    * Install everything to /usr/lib/pd/extra/pdp/
    * Check on startup, whether libdir-path is searched
  * Made "pdp_help_input" abstraction work in all circumstances
  * Use dh-autoreconf
  * Added Vcs-* stanzas
  * Install CHANGES.LOG as upstream Changelog
  * Added debian/NEWS
  * Run strip/shlipdeps on .pd_linux files
  * Fix permissions of .pd_linux files (Closes: #716133, #716276)
  * Updated my Uploader's name
  * Converted debian/copyright to DEP-5
  * Bumped standards to 3.9.4

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Tue, 12 Nov 2013 14:06:00 +0100

=== debian/control ===
Source: pdp
Section: graphics
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 10),
 docbook-to-man,
 puredata-dev | puredata (>= 0.38),
 libv4l-dev [linux-any],
 libquicktime-dev,
 libsdl1.2-dev,
 libpng-dev,
 libgsl-dev | libgsl0-dev,
 libxv-dev,
 freeglut3-dev,
Standards-Version: 4.1.0
Homepage: http://zwizwa.be/pdp/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdp.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pdp.git

Package: pd-pdp
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends: pd-3dp, pd-scaf
Description: Graphics system for Pd
 PDP is an extension library for Pd that allows you to manipulate movies
 and live video data in realtime. PDP stands for Pd Packet, the data
 container that is used for images in PDP.

Package: pd-3dp
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 pd-pdp,
Suggests: pd-scaf
Description: openGL extensions for PDP
 PDP is an extension library for Pd that allows you to manipulate movies
 and live video data in realtime. PDP stands for Pd Packet, the data
 container that is used for images in PDP.
 .
 This library extends PDP with texture and render context packets,
 to use some of the power of current video hardware.
 .
 Warning: this is still experimental and incomplete!

Package: pd-scaf
Architecture: i386 amd64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 pd-pdp,
Description: Simple Cellular Automaton Forth for PDP
 PDP is an extension library for Pd that allows you to manipulate movies
 and live video data in realtime. PDP stands for Pd Packet, the data
 container that is used for images in PDP.
 .
 This is a PDP extension lib that contains modules for cellular
 automata built on a (very) minimal forth-like virtual system
 (scaf - simple cellular automaton forth) to define update rules.
 A compiler is included to produce 'scafo' object code that can be
 dynamically loaded into the [pdp_ca] module. So it is possible to
 add/change rules without restarting Pd.

=== debian/rules ===
#!/usr/bin/make -f

export PDP_EXTRA_CFLAGS = -fPIC -Wno-error $(CPPFLAGS) $(CFLAGS)
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=-format,+fortify,+stackprotector,+relro
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/buildflags.mk


ifeq ($(DEB_BUILD_ARCH),i386)
DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx
DEB_EXTRA_CFLAGS = -mmmx
BUILD_SCAF = yes
endif

ifeq ($(DEB_BUILD_ARCH),amd64)
DEB_CONFIGURE_EXTRA_FLAGS = --enable-mmx
DEB_EXTRA_CFLAGS = -mmmx
BUILD_SCAF = yes
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
	dh_auto_configure -Dscaf -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	make pdp_all
	make -C opengl \
		LDFLAGS="$(LDFLAGS)" \
		PDP_EXTRA_CFLAGS="$(CFLAGS) $(DEB_EXTRA_CFLAGS)" \
		PDP_EXTRA_CPPFLAGS="$(CPPFLAGS)"
	[ -z $(BUILD_SCAF) ] || \
	make -C scaf \
		LDFLAGS="-fPIC $(LDFLAGS)" \
		PDP_CFLAGS="$(CPPFLAGS) -fPIC $(CFLAGS)"
	[ -z $(BUILD_SCAF) ] || \
	cp scaf/rules/carules.scafo scaf/rules/default.scafo
	docbook-to-man debian/pdp-config.sgml > pdp-config.1

override_dh_auto_clean:
	[ ! -f opengl/Makefile.config ] || make -C opengl clean
	[ ! -f scaf/Makefile.config ] || make -C scaf clean
	[ ! -f Makefile.config ] || make clean
	-$(RM) -rf bin/pdp-config include/pdp_config.h
	-$(RM) -f Makefile.config config.log config.status
	-$(RM) -f scaf/Makefile.config scaf/config.log scaf/config.status
	-$(RM) -f pdp-config.1
	-$(RM) -f scaf/rules/default.scafo

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.LOG

override_dh_shlibdeps:
	find debian/pd-pdp -name "*.pd_linux" -exec \
		dpkg-shlibdeps -Tdebian/pd-pdp.substvars {} +
	find debian/pd-3dp -name "*.pd_linux" -exec \
		dpkg-shlibdeps -Tdebian/pd-3dp.substvars {} +
	[ -z $(BUILD_SCAF) ] || \
	find debian/pd-scaf -name "*.pd_linux" -exec \
		dpkg-shlibdeps -Tdebian/pd-scaf.substvars {} +

override_dh_strip:
	dh_strip
	find debian -name "*.pd_linux" -exec \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +
	[ -z $(BUILD_SCAF) ] || \
	find debian -name "*.scafo" -exec \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +

override_dh_fixperms:
	dh_fixperms
	find debian -name '*.pd_linux' -exec \
		chmod 0644 {} +
	find debian -name '*.scafo' -exec \
		chmod 0644 {} +

## pdp 0.14.1%2Bdarcs20180201

=== debian/control ===
Source: pdp
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Paul Brossier <piem@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 docbook-to-man,
 freeglut3-dev,
 libgsl-dev | libgsl0-dev,
 libpng-dev,
 libquicktime-dev,
 libsdl1.2-dev,
 libv4l-dev [linux-any],
 libxv-dev,
 puredata-dev | puredata,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://zwizwa.be/pdp/
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pdp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pdp

Package: pd-pdp
Architecture: any
Depends:
 puredata | pd,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pd-3dp,
 pd-scaf,
Description: Graphics system for Pd
 PDP is an extension library for Pd that allows you to manipulate movies
 and live video data in realtime. PDP stands for Pd Packet, the data
 container that is used for images in PDP.

Package: pd-3dp
Architecture: any
Depends:
 pd-pdp,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pd-scaf,
Description: openGL extensions for PDP
 PDP is an extension library for Pd that allows you to manipulate movies
 and live video data in realtime. PDP stands for Pd Packet, the data
 container that is used for images in PDP.
 .
 This library extends PDP with texture and render context packets,
 to use some of the power of current video hardware.
 .
 Warning: this is still experimental and incomplete!

Package: pd-scaf
Architecture: amd64 i386
Depends:
 pd-pdp,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple Cellular Automaton Forth for PDP
 PDP is an extension library for Pd that allows you to manipulate movies
 and live video data in realtime. PDP stands for Pd Packet, the data
 container that is used for images in PDP.
 .
 This is a PDP extension lib that contains modules for cellular
 automata built on a (very) minimal forth-like virtual system
 (scaf - simple cellular automaton forth) to define update rules.
 A compiler is included to produce 'scafo' object code that can be
 dynamically loaded into the [pdp_ca] module. So it is possible to
 add/change rules without restarting Pd.
